MIMS.Portal/ViewModels/Merchant/MerchantDetailsReviewViewModel.cs
using MIMS.Portal.ValueObjects.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using UoN.ExpressiveAnnotations.NetCore.Attributes;

namespace MIMS.Portal.ViewModels
{
    public class MerchantDetailsReviewViewModel
    {
        public MerchantViewModel MerchantDetails { set; get; }

        public MerchantReviewViewModel MerchantReview { set; get; }
}
}

MIMS.Portal/ViewModels/Merchant/MerchantFilterViewModel.cs
using MIMS.Portal.ValueObjects.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MIMS.Portal.ViewModels
{
    public class MerchantFilterViewModel
    {
        [Display(Name = "شماره ملی", Prompt = " 0987654321", Description = "صرفا عدد و 10 رقم")]
        [RegularExpression(@"^\d{10}$", ErrorMessage = "نامعتبر")]
        public string NationalCode { set; get; }

        [StringLength(255)]
        [Display(Name = "نام", Prompt = " علی", Description = "صرفا حروف فارسی")]
        [RegularExpression(@"^([\u0600-\u06FF\s]+){2,}$", ErrorMessage = "نامعتبر")]
        public string FirstName { set; get; }

        [StringLength(255)]
        [Display(Name = "نام خانوادگی", Prompt = " احمدی", Description = "صرفا حروف فارسی")]
        [RegularExpression(@"^([\u0600-\u06FF\s]+){2,}$", ErrorMessage = "نامعتبر")]
        public string LastName { set; get; }

        [Display(Name = "وضعیت")]
        public ReviewStatus? Status { get; set; }
    }
}

MIMS.Portal/ViewModels/Merchant/MerchantIndexViewModel.cs
using MIMS.Portal.ValueObjects.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MIMS.Portal.ViewModels
{
    public class MerchantIndexViewModel
    {
        public MerchantFilterViewModel Filters { get; set; }

        public IEnumerable<KeyValuePair<ReviewStatus, long>> Stats { get; set; }
        
        public IEnumerable<MerchantViewModel> Merchants { get; set; } = Enumerable.Empty<MerchantViewModel>();
    }
}

MIMS.Portal/ViewModels/Merchant/MerchantReviewViewModel.cs
using MIMS.Portal.ValueObjects.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using UoN.ExpressiveAnnotations.NetCore.Attributes;

namespace MIMS.Portal.ViewModels
{
    public class MerchantReviewViewModel
    {
        [Required(ErrorMessage = "الزامی")]
        public Guid MerchantId { get; set; }

        [Display(Name = "کارت ملی (روی)", Prompt = "", Description = "")]
        [Required(ErrorMessage = "الزامی")]
        public Guid IDCardFrontId { get; set; }

        public string IDCardFrontUrl { get; set; }

        [Required(ErrorMessage = "الزامی")]
        public ReviewStatus IDCardFrontStatus { get; set; }

        [Display(Name = "کارت ملی (پشت)", Prompt = "", Description = "")]
        public Guid IDCardBackId { get; set; }

        public string IDCardBackUrl { get; set; }

        [Required(ErrorMessage = "الزامی")]
        public ReviewStatus IDCardBackStatus { get; set; }

        [Display(Name = "شناسنامه (صفحه اول)", Prompt = "", Description = "")]
        [Required(ErrorMessage = "الزامی")]
        public Guid CredentialMainPageId { get; set; }

        public string CredentialMainPageUrl { get; set; }

        [Required(ErrorMessage = "الزامی")]
        public ReviewStatus CredentialMainPageStatus { get; set; }

        [Display(Name = "شناسنامه (صفحه توضیحات)", Prompt = "", Description = "")]
        public Guid CredentialLastPageId { get; set; }

        public string CredentialLastPageUrl { get; set; }

        [Required(ErrorMessage = "الزامی")]
        public ReviewStatus CredentialLastPageStatus { get; set; }

        [Display(Name = "تعیین وضعیت", Prompt = "", Description = "")]
        [Required(ErrorMessage = "الزامی")]
        public bool ReviewStatus { get; set; }

        [Display(Name = "توضیحات", Prompt = "توضیحات بررسی", Description = "درج توضیحات بررسی در صورت نیاز")]
        [RequiredIf("ReviewStatus == false", ErrorMessage = "الزامی")]
        public string? ReviewComment { set; get; }
    }

    public class MerchantReviewedViewModel
    {
        public MerchantReviewViewModel MerchantReview { set; get; }
    }
}

MIMS.Portal/Controllers/MerchantsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Security.Claims;
using System.Threading.Tasks;
using MIMS.Portal.Service;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using MIMS.Portal.ViewModels;
using MIMS.Portal.ValueObjects.Enum;
using MIMS.Portal.Commons.Extensions;
using MIMS.Portal.Core.Biz.IServices;
using System.Linq.Expressions;
using Microsoft.EntityFrameworkCore;
using MIMS.Portal.Core.Data.Domains;

namespace MIMS.Portal.Controllers
{
    [Authorize(AuthenticationSchemes = "Bearer")]

    public class MerchantsController : Controller
    {
        private readonly IMerchantService _merchantService;
        private readonly IUsersService _userService;
        private readonly IFilesManagerService _filesManagerService;
        private readonly int _maxFileSize = 1500000;

        public MerchantsController(IMerchantService merchantService, IUsersService userService, IFilesManagerService filesManagerService)
        {
            _userService = userService;
            _merchantService = merchantService;
            _filesManagerService = filesManagerService;
        }

        //---//


        public IActionResult Index(Guid? id)
        {
            var merchantsIndex = new MerchantIndexViewModel();

            Guid userId = id.GetValueOrDefault();

            if (userId == Guid.Empty)
            {
                var x = HttpContext.User.Identity as ClaimsIdentity;
                userId = new Guid(x.FindFirst("userId").Value);
            }

            if (User.IsInRole("Admin"))
            {
                merchantsIndex.Stats = _merchantService.StatsByReviewStatus(null);
                merchantsIndex.Merchants = _merchantService.Filter(include: x => x.Include(i => i.CreatorUser)).ToList().ConvertAll(x => (MerchantViewModel)x);

                //if (id == null || id == Guid.Empty)
                //    merchants = _merchantService.GetAll().ToList().ConvertAll(x => (MerchantViewModel)x);
                //else
                //    merchants = _merchantService.GetByUserId(userId).ToList().ConvertAll(x => (MerchantViewModel)x);
            }
            else
            {
                merchantsIndex.Stats = _merchantService.StatsByReviewStatus(userId);
                merchantsIndex.Merchants = _merchantService.GetByUserId(userId).ToList().ConvertAll(x => (MerchantViewModel)x);
            }

            return View(merchantsIndex);
        }

        [HttpPost]
        public IActionResult Index(Guid? id, MerchantFilterViewModel? filters)
        {
            Guid userId = id.GetValueOrDefault();
            var merchantsIndex = new MerchantIndexViewModel();

            if (userId == Guid.Empty)
            {
                var x = HttpContext.User.Identity as ClaimsIdentity;
                userId = new Guid(x.FindFirst("userId").Value);
            }

            //Expression<Func<Merchant, bool>> predicate = null;
            var predicate = PredicateBuilder.True<Merchant>();
            var andCriteria = new List<Predicate<Merchant>>();
            var orCriteria = new List<Predicate<Merchant>>();
            var orParams = PredicateBuilder.False<Merchant>();
            var andParams = PredicateBuilder.True<Merchant>();

            if (!string.IsNullOrWhiteSpace(filters.NationalCode))
            {
                orCriteria.Add(f => f.NationalCode == filters.NationalCode);
                orParams = orParams.Or(f => f.NationalCode == filters.NationalCode);
            }

            if (!string.IsNullOrWhiteSpace(filters.FirstName))
            {
                orCriteria.Add(f => f.FirstName.Contains(filters.FirstName, StringComparison.OrdinalIgnoreCase));
                orParams = orParams.Or(f => f.FirstName.Contains(filters.FirstName));
            }

            if (!string.IsNullOrWhiteSpace(filters.LastName))
            {
                orCriteria.Add(f => f.LastName.Contains(filters.LastName, StringComparison.OrdinalIgnoreCase));
                orParams = orParams.Or(f => f.LastName.Contains(filters.LastName));
            }

            if (filters.Status != null)
            {
                orCriteria.Add(f => f.Status == filters.Status);
                orParams = orParams.Or(f => f.Status == filters.Status);
            }

            if (!User.IsInRole("Admin"))
            {
                andCriteria.Add(f => f.CreatorUserId == userId);
                andParams= andParams.And(f => f.CreatorUserId == userId);
                andParams= andParams.And(orParams);
            }


            predicate = c => andCriteria.All(pred => pred(c)) && orCriteria.Any(pred => pred(c));
            predicate = !User.IsInRole("Admin") ? andParams : orParams;


            if (User.IsInRole("Admin"))
            {
                if (id.GetValueOrDefault() == Guid.Empty)
                {
                    merchantsIndex.Stats = _merchantService.StatsByReviewStatus(null);
                    merchantsIndex.Merchants = _merchantService.Filter(predicate, include: x => x.Include(i => i.CreatorUser)).ToList().ConvertAll(x => (MerchantViewModel)x);
                    //merchants = _merchantService.GetAll().ToList().ConvertAll(x => (MerchantViewModel)x);
                }
                else
                {
                    merchantsIndex.Stats = _merchantService.StatsByReviewStatus(userId);
                    merchantsIndex.Merchants = _merchantService.Filter(predicate, include: x => x.Include(i => i.CreatorUser)).ToList().ConvertAll(x => (MerchantViewModel)x);
                    //merchants = _merchantService.GetByUserId(userId).ToList().ConvertAll(x => (MerchantViewModel)x);
                }
            }
            else
            {
                merchantsIndex.Stats = _merchantService.StatsByReviewStatus(userId);
                merchantsIndex.Merchants = _merchantService.Filter(predicate, include: x => x.Include(i => i.CreatorUser)).ToList().ConvertAll(x => (MerchantViewModel)x);

                //merchants = _merchantService.GetByUserId(userId).ToList().ConvertAll(x => (MerchantViewModel)x);
            }

            return View(merchantsIndex);
        }

        [HttpGet]
        public IActionResult Details(Guid id)
        {
            if (id == Guid.Empty)
                return BadRequest();

            var merchantId = id;
            var merchant = _merchantService.GetById(merchantId);

            if (merchant == null)
                return NotFound();

            var model = (MerchantViewModel)merchant;

            var merchantFiles = _filesManagerService.FindByParentId(merchant.Id).Where(f => f.Source == ValueObjects.Enum.FileSource.Merchant).OrderByDescending(f => f.CreatedDate);

            var idCardFront = merchantFiles.Where(f => f.Type == ValueObjects.Enum.FileType.IDCardFront).FirstOrDefault();
            model.IDCardFrontUrl = idCardFront?.FileUrl;

            var idCardBack = merchantFiles.Where(f => f.Type == ValueObjects.Enum.FileType.IDCardBack).FirstOrDefault();
            model.IDCardBackUrl = idCardBack?.FileUrl;

            var credentialMainPage = merchantFiles.Where(f => f.Type == ValueObjects.Enum.FileType.CredentialMainPage).FirstOrDefault();
            model.CredentialMainPageUrl = credentialMainPage?.FileUrl;

            var credentialLastPage = merchantFiles.Where(f => f.Type == ValueObjects.Enum.FileType.CredentialLastPage).FirstOrDefault();
            model.CredentialLastPageUrl = credentialLastPage?.FileUrl;

            return View(model);
        }

        [HttpGet]
        public IActionResult Create()
        {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Create(MerchantViewModel model)
        {

            var isFileSizeValid = true;


            if (model.IDCardFront != null && model.IDCardFront?.Length > _maxFileSize)
            {
                isFileSizeValid = false;
                ModelState.AddModelError(nameof(model.IDCardFront), "حجم فایل نامعتبر");
            }
            if (model.IDCardBack != null && model.IDCardBack?.Length > _maxFileSize)
            {
                isFileSizeValid = false;
                ModelState.AddModelError(nameof(model.IDCardBack), "حجم فایل نامعتبر");
            }
            if (model.CredentialMainPage != null && model.CredentialMainPage?.Length > _maxFileSize)
            {
                isFileSizeValid = false;
                ModelState.AddModelError(nameof(model.CredentialMainPage), "حجم فایل نامعتبر");
            }
            if (model.CredentialLastPage != null && model.CredentialLastPage?.Length > _maxFileSize)
            {
                isFileSizeValid = false;
                ModelState.AddModelError(nameof(model.CredentialLastPage), "حجم فایل نامعتبر");
            }

            if (ModelState.IsValid && isFileSizeValid)
            {
                var merchant = (Merchant)model;
                merchant.Status = ReviewStatus.Pending;
                _merchantService.Create(merchant);

                _filesManagerService.SaveFile(model.IDCardFront, FileSource.Merchant, FileType.IDCardFront, merchant.Id);
                _filesManagerService.SaveFile(model.IDCardBack, FileSource.Merchant, FileType.IDCardBack, merchant.Id);
                _filesManagerService.SaveFile(model.CredentialMainPage, FileSource.Merchant, FileType.CredentialMainPage, merchant.Id);
                _filesManagerService.SaveFile(model.CredentialLastPage, FileSource.Merchant, FileType.CredentialLastPage, merchant.Id);

                var toastr = new Toastr
                {
                    Type = ToastrType.Success,
                    Subject = "پذیرنده",
                    Content = "اطلاعات با موفقیت ثبت شد"
                };
                Toastrs.ToastrsList.Add(toastr);

                return RedirectToAction("Create", "BankAccounts", new { Id = merchant.Id, Next = true });

MIMS.Portal/Views/Merchants/Index.cshtml
@model MIMS.Portal.ViewModels.MerchantIndexViewModel
@using MIMS.Portal.ValueObjects.Enum;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "پذیرندگان";
}

@{
    var id = Context.Request.RouteValues["id"]?.ToString() ?? string.Empty;
    var items = Model;

    if (!string.IsNullOrEmpty(id) && Enum.TryParse(id.Replace("-", ""), true, out ReviewStatus status))
    {
        //if (status == ReviewStatus.Pending)
        //    items = items.Where(i => i.Status == ReviewStatus.Pending || i.Status == ReviewStatus.Unknown);

        //if (status == ReviewStatus.Approved)
        //    items = items.Where(i => i.Status == ReviewStatus.PreApproved || i.Status == ReviewStatus.Approved);

        //if (status == ReviewStatus.Rejected)
        //    items = items.Where(i => i.Status == ReviewStatus.Rejected);
    }

    //items = items.ToList();
}

<!-- stats -->
<section>
    <div class="row" data-title="گجت ها" data-intro="گجت های نمایش دهنده خلاصه اطلاعات مرتبط">
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب ثبت شده" data-intro="تعداد حساب بانکی ثبت شده">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="cyan">
                                    @Model.Stats.Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="" class="icon-filter2 text-muted"></a> ثبت شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-birdpen cyan font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب منتظر بررسی" data-intro="تعداد حساب بانکی منتظر بررسی">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="orange">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Pending.ToString()" class="icon-filter2 text-muted"></a> منتظر بررسی</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-judicialgavel orange font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="green">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Approved.ToString()" class="icon-filter2 text-muted"></a> تایید شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-check-circle-o green font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="red">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Rejected.ToString()" class="icon-filter2 text-muted"></a> رد شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-times-circle-o red font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
<!--/ stats -->

<partial name="_SearchFiltersPartial" for="@Model.Filters" />


<section id="merchant-index">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                @if (User.IsInRole("Admin"))
                                {
                                    <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CreatorUserId)</th>
                                }
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().MerchantType)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().MerchantFullname)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().FatherName)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Gender)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().NationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Mobile)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Phone)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CompanyName)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CompanyNationalId)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Status)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().ReviewComment)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CreatedDate)</th>
                                <th class="no-sort"><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Merchants)
                            {

                                var statusColor = "default";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending)
                                    statusColor = "warning";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved)
                                    statusColor = "info";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved)
                                    statusColor = "success";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected)
                                    statusColor = "danger";

                                <tr>
                                    @if (User.IsInRole("Admin"))
                                    {
                                        <td>@item.CreatorFullName</td>
                                    }
                                    <td>@Html.DisplayFor(modelItem => item.MerchantType)</td>
                                    <td>@item.MerchantFullname<br /><small class="mt-2">@item.EnglishMerchantFullname</small></td>
                                    <td>@item.FatherName<br /><small class="mt-2">@item.EnglishFatherName</small></td>
                                    <td>@Html.DisplayFor(modelItem => item.Gender)</td>
                                    <td>@item.NationalCode</td>
                                    <td>@item.Mobile</td>
                                    <td>@item.Phone</td>
                                    <td>@item.CompanyName <br /><small class="mt-2">@item.EnglishCompanyName</small></td>
                                    <td>@item.CompanyNationalId</td>
                                    <td><i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)</td>
                                    <td>@item.ReviewComment</td>
                                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                    <td align="center">
                                        <a asp-action="Details" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                        @*<a class="btn btn-default" href="/partner/index?id=@item.Id" data-toggle="tooltip" title="صاحبان"><em class="fa fa-users"></em></a>*@
                                        @*<a hidden asp-action="Details" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-credit-card"></i></a>
                                            <a hidden asp-action="Details" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-building-o"></i></a>
                                            <a hidden asp-action="Index" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-plug"></i></a>*@
                                        @*<a class="btn btn-default" href="/comment/index?merchantid=@item.Id"><em class="fa fa-comments"></em></a>*@
                                        @if (User.IsInRole("Admin"))
                                        {
                                            <a asp-action="ChangeAgent" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-outline-warning disabled fa fa-fw fa-exchange" data-toggle="tooltip" title="تغییر نماینده"></a>
                                            <a asp-action="Delete" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                                            <a asp-action="Review" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-check-circle" data-toggle="tooltip" title="تایید اطلاعات"></a>

                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>

MIMS.Portal/Views/Merchants/_SearchFiltersPartial.cshtml
@model MIMS.Portal.ViewModels.MerchantFilterViewModel

<section id="merchant-filter">
    <form method="post">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">جستجو</h4>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <div class="form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="alert alert-info no-border" role="alert">
                                        حداکثر اطلاعات قابل نمایش در هر درخواست 500 ردیف است.
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="NationalCode" class="control-label"></label>
                                        <span asp-validation-for="NationalCode" class="text-danger"></span>
                                        <input asp-for="NationalCode" asp-description-for="NationalCode" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="FirstName" class="control-label"></label>
                                        <span asp-validation-for="FirstName" class="text-danger"></span>
                                        <input asp-for="FirstName" asp-description-for="FirstName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="LastName" class="control-label"></label>
                                        <span asp-validation-for="LastName" class="text-danger"></span>
                                        <input asp-for="LastName" asp-description-for="LastName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Status" class="control-label"></label>
                                        <span asp-validation-for="Status" class="text-danger"></span>
                                        <select asp-for="Status" asp-description-for="Status" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.ReviewStatus>()">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-info btn-min-width">
                    <i class="icon-search0"></i>
                    جستجو
                </button>
            </div>
        </div>
    </form>
</section>